HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get Clients Usage

Retrieves the TX and RX usage trend (sum of bytes) for clients over a time range. Supports filtering through the filter query parameter using timestamp, macAddress, serialNumber, siteId, and siteName. When macAddress is provided, returns usage trend for that specific client. When serialNumber is provided, returns aggregated usage for all clients on that device. When siteId or siteName is provided, returns aggregated usage for all clients at that site. When no filter is provided, returns tenant-level aggregated usage.

Sampling interval is determined by the time range:

  • ≤ 1 day → 5 min
  • 1 day and ≤ 1 month → 3 hours

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
length ≤ 256

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields, operators and value format are in the below given table.

FieldOperatorsFormat
timestampgt and ltDate-time (RFC 3339 timestamp in UTC+0) string
siteIdeqstring
siteNameeqstring
macAddresseqstring
serialNumbereqstring

The operators are implemented as follows:

  • gt: Used to indicate the start of the timestamp range. If timestamp gt is omitted, it defaults to 3 hours before the timestamp lt value. If both timestamp gt and timestamp lt are omitted, the effective start defaults to 3 hours before the current timestamp.

  • lt: Used to indicate the end of the timestamp range. If timestamp lt is omitted, it defaults to the current timestamp.

  • For global-level queries, the interval between timestamp gt and timestamp lt must be less than or equal to 7 days. For site-level queries, the interval must be less than or equal to 1 month.

  • eq: Only values exactly matching the given value are returned.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json